#footer {
    margin: 64px 0 40px;
}

.footer-inner {
    background: var(--color-black);
    color: var(--color-white);
    padding: 40px 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
}
.footer-logo {
    flex: 0 0 auto;
}
.footer-logo__img {
    width: auto;
    height: 48px;
}
.footer-group {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: 100%;
}
.footer-bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    row-gap: 16px;
}
.footer-text {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.5;
    color: var(--color-white);
    opacity: 0.5;
}
.footer-text a:not([class]) {
    color: var(--color-white);
    text-decoration: underline;
}
.footer-text a:not([class]):hover {
    text-decoration-color: transparent;
}

.nav-footer {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.nav-footer__link {
    font-weight: 500;
    font-size: 12px;
    line-height: 1.3;
    text-transform: uppercase;
    color: var(--color-white);
}

@media screen and (min-width: 768px) {
    #footer {
        margin: 80px 0 60px;
    }
    .footer-inner {
        align-items: flex-start;
        padding: 40px;
        gap: 24px;
    }
    .footer-bottom {
        flex-direction: row;
        align-items: flex-start;
    }
}
@media screen and (min-width: 992px) {
    .footer-inner {
        flex-direction: row;
    }
    .footer-group {
        width: auto;
    }
    .nav-footer__link {
        letter-spacing: 1px;
    }
}
@media screen and (min-width: 1312px) {
    #footer {
        margin: 120px 0 80px;
    }
    .footer-inner {
        padding: 40px 80px;
    }
    .nav-footer {
        gap: 56px;
    }
}